Bug 1005225 - Package the portal using layers instead of add-ons
Package the portal using layers instead of add-ons
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity high
: CR01
: 6.1.0
Assigned To: Default User
Dominik Pospisil
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 09:15 EDT by Marko Strukelj
Modified: 2018-03-31 17:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marko Strukelj 2013-09-06 09:15:18 EDT
Description of problem:
Currenlty product is packaged using add-ons approach to product layering on top of EAP. Since we want JPP to have it's own product identity add-ons approach is not appropriate.

Version-Release number of selected component (if applicable):
ER05

How reproducible:
n/a

Steps to Reproduce:
n/a

Actual results:
- There's modules/system/add-ons/gatein directory containing gatein modules
- There's no modules/layers.conf file
- Some content is added to and some removed from modules/system/layers/base
- Modules root ordering goes like this:
1) modules
2) modules/system/layers/base
3) modules/system/layers/add-ons/gatein


Expected results:
- There's modules/system/layers/gatein directory containing gatein modules
- There is modules/layers.conf file containing a line: 'layers=gatein'
- modules/system/layers/base is untouched, left unchanged
- Modules root ordering goes like this:
1) modules
2) modules/system/layers/gatein
3) modules/system/layers/base

Additional info:
The new approach will affect modules root ordering. But since we don't have any modules with same ids in gatein, we aren't overwriting any EAP provided modules.
Comment 2 Dominik Pospisil 2013-10-03 04:18:11 EDT
Verified (CR3).

- gatein modules in jboss-jpp-6.1.CR03/modules/system/layers/gatein
- base layer untouched
- product.conf and layers.conf correct

Note You need to log in before you can comment on or make changes to this bug.